Bug 412701 - NetworkManager refuses to change 802.11g channel
NetworkManager refuses to change 802.11g channel
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: NetworkManager (Show other bugs)
5.0
i586 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-05 14:50 EST by Yasha Karant
Modified: 2013-02-15 15:45 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-15 15:45:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
various parts of /var/log/messages showing the status of NetworkManager plus related network items (211.73 KB, application/octet-stream)
2007-12-05 14:50 EST, Yasha Karant
no flags Details

  None (edit)
Description Yasha Karant 2007-12-05 14:50:34 EST
Description of problem:
NetworkManager does not change 802.11g channel and thus does not connect. A
manual iwlist scan reveals correct channel; using manual application,once I
change the channel (via wireless settings on GUI network application in standard
RH Gnome pull-down menu list), connection is made and NetworkManager works
provided the channel stays up.

Version-Release number of selected component (if applicable):
ipw2200-firmware-2.4-2.0.rf.noarch.rpm plus stock distro driver (5, not yet to 5.1
Kernel: 2.6.18-8.el5 #1 SMP Thu Mar 15 19:57:35 EDT 2007 i686 i686 i386 GNU/Linux
(not latest 5.1 because I do not want to have rebuild custom drivers --
modem, VMware, etc. -- until this is a major new release, not just a 2.6.18
update -- unless that is the only choice for a fix)

Card: Intel Pro/wireless 2200BG

How reproducible:
Always

Steps to Reproduce:
1.boot computer with NetworkManager init.d scripts linked into appropriate rc
steps after HAL starts
2. No WLAN acquired unless the WAP is on the same channel as last successful
802.11 connection (even if WLAN name is displayed in NM list)
3. Manual iwlist scan, look for appropriate channel
4. Using /usr/sbin/system-config-network-gui under python (automatic from RH
Gnome menus), set wireless setting channel to correct one from (3), activate,
get connection
5. NM will maintain connection but only on the channel set in 4
  
Actual results:


Expected results:


Additional info:

^[]0;ykarant@localhost:/home/ykarant^G[root@localhost ykarant]# ./iwlist-scan

You need to be root to get a current scan

eth1      Scan completed :
          Cell 01 - Address: 00:12:00:51:BC:60
                    ESSID:"CSUSB"
                    Protocol:IEEE 802.11bg
                    Mode:Master
                    Channel:1
                    Encryption key:off
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 6 Mb/s; 9 Mb/s
                              11 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s
                              48 Mb/s; 54 Mb/s
                    Quality=82/100  Signal level=-48 dBm
                    Extra: Last beacon: 27ms ago
          Cell 02 - Address: 00:15:F9:A6:76:80
                    ESSID:"CSUSB"
                    Protocol:IEEE 802.11bg
                    Mode:Master
                    Channel:6
                    Encryption key:off
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 6 Mb/s; 9 Mb/s
                              11 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s
                              48 Mb/s; 54 Mb/s
                    Quality=31/100  Signal level=-81 dBm
                    Extra: Last beacon: 724ms ago
          Cell 03 - Address: 00:1B:54:25:15:80
                    ESSID:"CSUSB"
                    Protocol:IEEE 802.11bg
                    Mode:Master
                    Channel:6
                    Encryption key:off
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 6 Mb/s; 9 Mb/s
                              11 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s
                              48 Mb/s; 54 Mb/s
                    Quality=44/100  Signal level=-74 dBm
                    Extra: Last beacon: 1058ms ago

^[]0;ykarant@localhost:/home/ykarant^G[root@localhost ykarant]# exit
exit
^[]0;ykarant@localhost:~^G[ykarant@localhost ~]$ Gexit
exit

At home, using /usr/sbin/system-config-network-gui (that does the same thing as
manually editing the files, reloading, etc.), the WLAN is set to channel 11. 
NetworkManager only showed one CSUSB WLAN, and refused to connect. 
system-config-network-gui showed that the WNIC was still on channel 11.  I
manually changed this via
system-config-network-gui to channel 1 (please see the scan above), and
everything worked, including NetworkManager.  However, NetworkManager would not
automatically go to channel 1 nor would it allow me to choose channels.
Comment 1 Yasha Karant 2007-12-05 14:50:34 EST
Created attachment 278721 [details]
various parts of /var/log/messages showing the status of NetworkManager plus related network items
Comment 2 Dan Williams 2007-12-17 13:22:20 EST
Could you be a bit more specific here?  NM will tell the driver the SSID to
associate with.  Are you saying that there are two APs, both with the same SSID,
but on different channels, and that you want to connect to one but not the other?
Comment 3 Dan Williams 2008-03-28 14:18:49 EDT
NM isn't expected to honor the channel set in system-config-network; the channel
that NM uses is determined by the driver itself at connect time from the
driver's internal BSS list based on the SSID you've told NM to use.

Also, the logs indicate successful connections to NETGEAR, but don't indicate
any attempts to connect to CSUSB.  When running NM in RHEL 5, you aren't
expected to be able to change the channel manually.
Comment 4 Dan Williams 2013-02-15 15:45:53 EST
RHEL6 and later allow locking to a specific BSSID (ie, AP) and that will also lock to specific channel.

Note You need to log in before you can comment on or make changes to this bug.